HDClone 6 Help

Welcome to the Inline Help

This is the Inline Help for HDClone 6. Information on using this help can be found here. HDClone 6 offers many new features and changes. The New in HDClone 6 page offers a selection of the most significant improvements.

Program functions

Invoke the desired program function over the Main Screen menu. All program functions are distributed thematically over the function domains. Select the desired function domain over the tab bar at the upper rim of th Main Screen. (Accelerator: Ctrl + ⇐ or Ctrl + ⇒ )

Controls

This chapter describes the controls, for example program screens or popup windows, used within the Program functions. Depending on the edition used, there may be differences in the available features (see manual 1.4 Edition summary).

Mode of operation

This chapter explains the mode of operation and effect of the various program functions (for example SmartCopy) and additional options (for example PartitionSelect).

Command line (CLI)

You can include HDClone in automated workflows like shell scripts or time-triggered tasks. For this kind of usage, there is a command line version of HDClone (hdclone-cl.bat), to be found in the program folder of HDClone. This program is destined to be called by shell scripts or program links. It handles user input and output exclusively via the command line and calling parameters.
﻿
HDClone 6 Inline Help © 2015 Miray Software


Program functions

Access the desired program function via the Main Screen menu. All program functions are distributed thematically over the function domains. Select the desired function domain on the tab bar on the top of the Main Screen. (Accelerator: Ctrl + ⇐ or Ctrl + ⇒ )

Quick select

This functional area will open automatically at program startup. It offers a selection of commonly used program functions from different areas which are separated into groups. Some of these functions are also available via the specific functional areas (for example "Backup").

Migration

This functional area contains functions for migrating an operating system and/or data onto another disk. This allows replacement of the original disk, for example when migrating to a new hard disk or to a fast SSD.

Data Rescue

This functional area is required for the rescue of defective disks. Always use these functions in the event of physical defects and/or defective file systems.

Backup

For the backup or recovery of individual disks or entire system installations, you will find the functions required to create a backup or to restore it here.

Images

This area contains functions to create different types of disk images, as well as functions for restoring data from an image to a disk.

MultiCopy

This functional area contains the program functions which are required to copy data to several target disks at once.

Tools

This function domain contains various supplemental functions, which are not assigned to a certain use case.


Backup

For the backup or recovery of individual disks or entire system installations, you will find the functions required to create a backup or to restore it here.

Backup

Base image

Creates a backup of an entire hard disk, SSD or other storage media, and stores the disk image into a file. Optionally, it is possible to select certain partitions to be included.

Differential Image

Saves only those changes that have occurred since the creation of a Base Backup. This Differential Backup allows the disk space required to store the backup to be kept at a minimum.

Restore

Recover

This function restores a disk from a data backup, that was previously created with Backup, or copies data from an image created with FullImage, SmartImage, or BitImage back to a disk.


Images

This area contains functions to create different types of disk images, as well as functions for restoring data from an image to a disk.

Create

SmartImage

This function allows you to store the contents of a disk to a file image. You can either store all, or only selected partitions of the source.
This function only transfers the sectors which are marked as used by the file system. In most cases, this will reduce the time required to create the image, as well as the image size considerably, compared to FullImage and BitImage.

Differential Image

Only images that have been altered since their creation as differential images can be stored to an existing Base-Image, to keep the space needed to store images to a minimum.

VM-Image

This function creates images for virtual machines in one of the available formats. These can then be mounted as a virtual drive with Miray Virtual Disk or can be added to a virtual machine.
A VM-Image only stores the sectors which are marked as used in the file system, similar to a SmartImage. In most cases, this will result in a notably higher speed when creating an image, and a notably smaller image size when compared to a FullImage and a BitImage.

BitImage

The BitImage function creates an image which contains all sectors of a disk, whether or not they are marked as occupied by the file system table or the partition table. This will result in a bit-exact identical image of the entire medium.

Recover

Recover

This function copies data from an image created with FullImage, SmartImage, or BitImage back to a disk.


Migration

This functional area contains functions for migrating an operating system and/or data onto another disk. This allows replacement of the original disk, for example when migrating to a new hard disk or to a fast SSD.

Standard Disks

Drive

This function clones either all or only selected partitions of the source disk to the target disk. The sizes, which the partitions will have on the target, can be adjusted.
This function only transfers the sectors which are marked as used by the file system. In most cases, this will increase cloning speed considerably.

Partition

This function clones the contents of a single partition into another, either already established or newly created partition of the target disk. When transferring a system partition, the target must also be a bootable system partition, as this copying function will transfer the partition contents only, yet will not create a bootable entry.
This function only transfers the sectors which are marked as used by the file system. In most cases, this will increase the cloning speed considerably.

Special Disk Types

Dynamic

Migrating Dynamic Disks (Dynamic Sets), the way they can be established using the Disk Management of Windows, completely or partially to a normal disk (Base Disk). Optionally, it is possible to select certain partitions to be transferred.

Intel RAID

Migrating RAID volumes to other RAID volumes or to normal disks (Base Disks). Optionally, it is possible to select certain partitions to be transferred.


MultiCopy

This functional area contains the program functions which are required to copy data to several target disks at once.

Create

Multi-SmartCopy

Creates several clones onto the selected target disks, yet only areas marked as used by the file system are transferred, similar to the SmartCopy function.

Multi-BitCopy

Creates several bit-exact 1:1 clones ("Bare-Metal-Copy") to the selected target drives by copying all sectors of the source disk, similar to the BitCopy function.

Recover

Multi-Deploy

Creates several disks at once from a FullImage, SmartImage or BitImage, similar to the Recover function.


Quick select

This functional area will open automatically at program startup. It offers a selection of commonly used program functions from different areas which are separated into groups. Some of these functions are also available via the specific functional areas (for example "Backup").

Cloning

Disk - FullCopy

Free Edition, Basic Edition | This function clones either all or only selected partitions of the source disk to the target disk. The sizes, which the respective partitions are supposed to have on the target, can be adjusted.

Disk - SmartCopy

Standard Edition and higher | This function clones either all or only selected partitions of the source disk to the target disk. The sizes, which the respective partitions are supposed to have on the target, can be adjusted.
This function only transfers areas containing valid data. This will usually enhance the cloning speed considerably.

Partition - FullCopy

Free Edition, Basic Edition | This function clones the contents of a single partition into another previously established or newly created partition. When transferring a system partition, the target must also be a bootable system partition, as this function transfers the partition's contents, yet it doesn't create a new boot entry.

Partition - SmartCopy

Standard Edition and higher| This function clones the contents of a single partition into another previously established or newly created partition. When transferring a system partition, the target must also be a bootable system partition, as this function transfers the partition's contents, yet doesn't create a new boot entry.
This function only transfers areas containing valid data. Usually, this will enhance the cloning speed considerably.

BitCopy

Professional Edition and higher| This function, which is also known as “Bare-Metal copy”, will clone all sectors of the source disk to the target disk, regardless whether or not they contain valid data.

Backup

Store

This function stores a total image of a hard disk, SSD, or other disk, including system and data partitions. It is also possible to select only certain partitions of the disk to be stored.

Recover

This function restores a disk from a previously created backup. The partitions to be restored, as well as their respective sizes they will have on the target disk, can be selected individually.

Images

FullImage

Free Edition, Basic Edition | This function stores a total image of a hard disk, SSD, or other disk to a file. You can either select to store certain partitions or all partitions of the source.

SmartImage

Standard Edition and higher| This function stores a total image of a hard disk, SSD, or other disk to a file. You may either select to store only certain partitions or all partitions of the source.
This function only transfers areas containing valid data. This will usually enhance the processing speed considerably, as well as decrease the file size of the image.

VM Image

Professional Edition and higher| This function stores a total image of a hard disk, SSD, or other disk to an image file for virtual machines as one of the following formats: VMDK, VHD, VHDX, or VDI. These can then immediately be added to an existing virtual machine as a virtual disk.
This function only transfers areas containing valid data. This will usually enhance the processing speed considerably, as well as decrease the file size of the image.

BitImage

Professional Edition and higher| This function stores a total image of a hard disk, SSD, or other disk to a file. The image will contain all sectors of the source disk, whether or not they contain valid data.

Tools

SpeedTest

Use this function to check the reading speed of the connected drives. You can select individual disks or several disks at once. In case of individual disks, this function will determine their maximum speed. In case of several disks at once, it will determine the combined reading speed of the selected disks.

DiskView

This program function displays the sector data of the selected disk. It allows to view all sectors of a disk directly.


Data Rescue

This functional area is required for the rescue of defective disks. Always use these functions in the event of physical defects and/or defective file systems.

Clone

BitCopy

This function, also known as “Bare-Metal-Copy”, will clone all sectors of the source disk to the target disk, whether or not they are marked as occupied by the file system table or in the partition table.

Image

BitImage

This function creates an image containing all sectors of a disk, whether or not they are marked as occupied by the file system table or in the partition table. This will result in a bit-exact identical image of the entire disk.


Command line (CLI)

You can tie HDClone into automated workflows, such as shell scripts, or time-triggered tasks. For this type of use, there is a command line version of HDClone (hdclone-cl.bat), which can be found in the program folder of HDClone. This program is intended to be invoked by shell scripts or by program links, and completes user input and output exclusively via the command line and invocation parameters.

The command line version is therefore suitable for areas of use for which the graphical version is inadequate, such as the following:

  • Scheduled invocation:Scheduled invocation of HDClone by the Windows Task Manager to start copying processes automatically, i.e. backups.
  • Script integration:Invoking HDClone from scripts to integrate it into automated processes, i.e. for mass installation (deployment).
  • Programmed processes:For recurring copying processes, create links in the Start Menu, the Quick Launch bar, or on the Desktop to allow these programmed processes to be invoked quickly and easily at any time.

Start Menu

The command line version has its own Start Menu entry in order to simplify its use.

Program invocation

Optional parameters

Return values

The command line version (CLI) of HDClone returns result values in the environment variable ERRORLEVEL. This allows automatic evaluation of and reaction to the copying result, for example by using batch files.

Examples of use

Examples for different use cases are to be found in the CLI subfolder of the program path after installing HDClone, or via Start ▸ Programs ▸ HDClone... ▸ CLI ▸ Sample scripts .


Examples of use

Examples for different use cases are to be found in the CLI subfolder of the program path after installing HDClone, or via Start ▸ Programs ▸ HDClone... ▸ CLI ▸ Sample scripts .
Hint: Call hdclone-cl -list to determine which drive numbers are assigned to which physical drives. A list of the available physical drives in the system will be displayed.


Optional parameters

There are a number of additional, optional parameters which allow enabling or disabling certain features of HDClone for the copying process. They are specified as
-[option]:[on|off] or -[option]:[<choice1>|<choice2>|...].

The following table lists the available options. The values in CAPITAL LETTERS represent the default value for the respective parameter. This value is used if this parameter is not explicitly provided. The individual options correspond in their actions to the options of the graphical HDClone program.
Option | Description
-verify:[on|OFF] | Perform an additional verification run.
-smart:[ON|off] | Faster copies by use of the logical file system information.
-freespace:[on|OFF] | Copy unused areas.
-swapfiles:[on|OFF] | Copy pagefile.sys and hiberfil.sys.
-defrag:[on|OFF] | NTFS+FAT only: perform a defragmentation when copying or storing defragmentation information when creating a file image.
-imagetype:[full|SMART|raw|vmdk|vhd] | Image type to be created in accordance with the available image formats.
-timestamp:[ON|off] | Automatically expands the file images names by a time stamp. To label periodic backups and to avoid identical naming of file images. Without this option, the command line version will cancel the process in the event of identical names.
-compression:[on|OFF|quick|strong] | Create a compressed image, on for standard compression, quick for QuickCompress, and strong for StrongCompress.
-resizeinfo:[ON|off] | NTFS+FAT only: Store information for reducing partition size when creating file images.
-password:<password> | Specify a password to protect the file image.
-encrypt:[AES128|aes256] | Encrypt image (only in combination with -password).
-extentsize:<size> | Limit the size extents in the image folder to a maximum. Value for size, plus K/M/G/T for magnitude, for example 650M, 4G, default is 2G.
-targetsize:<size> | Virtual target size when creating images. Value for size, plus K/M/G/T for magnitude, for example 20G, 1T, default is 2G.
-skip:[pnr]:[pnr]... | Copy and create image only:Numbers of partitions excluded from the copy, or partitions not stored if an image is created. Numbering starts with 1, the partition order equals the order listed by the command hdclone-cl -list.
-resize -resize:<size> -resize:fixed -resize:skip -resize:AUTO -resize:[p1]:[p2]:[p3]... | NTFS+FAT+ext with copy and image restore only: Resizing partitions automatically or manually when copying or restoring from a file image, excluding individual partitions. <size> = value for size, plus K/M/G/T for magnitude, for example 650M, 4G, default is 2G.
-adjust:[ON|off] | Automatic adjustment of disk parameters.
-preferlock | Reserve source for exclusive access, otherwise VSS (refer to manual chapter 2.9 HotCopy & LiveImage) will be used.
-allowlock | Only use exclusive source access if VSS (refer to manual chapter 2.9 HotCopy & LiveImage) is unavailable.
-allowlazy | Use unsecured drive access if both exclusive access and VSS (refer to manual chapter 2.9 HotCopy & LiveImage) are unavailable.
-report:[drvletter] | Generate a report and store it to the specified drive in the root directory.
-shutdown | Shut down the PC after successful completion.
-timeout:<sec> | Time span in seconds after which HDClone will cancel the drive recognition, default setting = 10.
-trim | Optimize target with TRIM command (if supported).
-list | Lists all recognized drives and partitions , as well as their internal numbering, port number, name, and serial number.

Resizing

When copying or restoring, you can use the resize option to specify size adjustments of individual partitions on the target media.


Resizing

When copying or restoring, you can use the resize option to specify size adjustments of individual partitions on the target media.

The resize option, without any further parameters, will cause all partitions to be resized proportionally to their original sizes. You may specify one or more additional parameters to specify the resizing for individual partitions in their natural order on the medium. These parameters are:

  • <size>:Enlarges or reduces the size of a partition to the specified size value. The values may be specified as sectors (S), bytes B), kilobytes (K), megabytes (M), gigabytes (G), or terabytes (T). The desired numeric value must be specified, immediately followed (without spaces) by one of the unit abbreviations above (for example: 10G = 10 gigabytes or 500M = 500 megabytes).
  • skip:Skips the partition, meaning it will not be copied.
  • auto:Adjusts the partition size automatically and proportionally to its share of the entire medium.

The parameters for resizing (<size>, fixed, skip, auto) may be specified repeatedly, separated by a colon. The parameters will be applied to the partitions in the specified order. If more partitions than parameters are specified, the default parameter auto will be applied to the remaining partitions. If there are more parameters specified than partitions available, the remaining parameters will be ignored. This option works similar to adjusting partitions.
Example: If four partitions on the drive, but only two size values are specified, the first two partitions will be adjusted as specified. The two remaining partitions will be resized automatically, just as if the parameter auto was used for them.


Return values

The command line version (CLI) of HDClone returns result values in the environment variable ERRORLEVEL. This allows automatic evaluation of and reaction to the copying result, for example by using batch files.

QV
Return value | Return value
0 | Successfully completion of the copying process without errors of any kind, or the program was invoked using parameters -help or -list.
1 | Invocation errors (missing/duplicate/invalid parameters).
2 | Invalid or expired license.
3 | At least one resize parameter is invalid and does not match the target size, or it contains invalid characters.
4 | Error when appropriately accessing source or target, i.e. device or file image not found/access denied.
5 | Password not specified or invalid.
6 | Canceled by user ( Ctrl + C ).
7 | Copying finished with verification errors.
8 | Copying finished with reading/writing errors (overrides 7, errors during verification).
9 | Other type of error occurred with a specific error code being displayed on the console output of HDClone.
10 | Termination: another HDClone process is already in use.


Program invocation

The command line version of HDClone expects the following invocation syntax:

  • D2D – Copying an entire drive
    hdclone-cl -mode:d2d -srcdrv:[source] -dstdrv:[target]
  • P2P – Copying a single partition
    hdclone-cl -mode:p2p -srcvol:[source] -dstvol:[target]
  • D2I – Creating a file image of an entire drive
    hdclone-cl -mode:d2i -srcdrv:[source] -dstimg:[image]
  • P2I – Creating a file image of a single partition
    hdclone-cl -mode:p2i -srcvol:[source] -dstimg:[image]
  • I2D – Restoring a file image to an entire drive
    hdclone-cl -mode:i2d -srcimg:[image] -dstdrv:[target]
  • I2P – Restoring a file image to a single partition
    hdclone-cl -mode:i2p -srcimg:[image] -dstvol:[target]

Note: When using the Enterprise Edition with more than one target, the invocation syntax is expanded as follows: the parameter combinations -dstdrv:[target] (drive), -dstvol:[target] (partition/volume) or -dstimg:[filename] (file image) have to be specified repeatedly, once for each copying target.
It is imperative to specify of the parameters as described above. Any missing parameter or invalid value will result in the cancellation of the invocation with an error. There are a number of additional, optional parameters, which are described in Optional parameters. The order of individual parameters when invoking hdclone-cl is arbitrary.
Note: Drive-to-Partition and Partition-to-Drive modes are not available in the command line version. Please use the functions for creating and restoring file images instead.

Drive identification

File image paths

File images are specified as source or target by using the full file path (drive letter or network share, folder path and image name).


Drive identification

To allow more areas of use for physical drives (-srcdrv:[source]/-dstdrv:[target]), there are various ways to specify a drive:

  • Drive by Windows ID:Physical drives are usually specified by their respective ID, which is assigned by Windows at run-time. This ID can be found in Windows' Disk Management (diskmgmt.msc).
  • Drive by port:You may also specify the port used to connect the drive (not for USB and Firewire). If you specify the 2nd SATA port for the source, the drive to which it is connected will be used, regardless of its assigned ID by Windows.
  • Drive by name / serial number:Alternatively, a drive can be selected by its type name and/or serial number, regardless of the assigned Windows ID, or the port it is connected to. Yet it has to be unique in the context of the copy to be created (and the edition used).

Hint: You can use hdclone-cl -list to display a list of available physical drives and their respective indications: Windows ID, port number, and name/serial number.
Should several targets be available under the identification provided, HDClone Enterprise Edition will take this specification as definite, if the number of drives is smaller than or equal to the maximum number of targets.
Example: If you specify a drive name which matches five drives in the system as a target, HDClone Enterprise Edition 8x will use all five drives as targets, while the Enterprise Edition 4x will refuse cloning due to the ambiguity.
Note: Should HDClone not be able make an unambiguous selection for the port or identification specified, HDClone will cancel the process with an error.


File image paths

File images are specified as source or target by using the full file path (drive letter or network share, folder path and image name).

Network shares

File images can also be created directly on network shares, or can be recovered from there. Just use -srcimg:[source]/-dstimg:[target] to specify a path for the network share instead of a drive letter. The network path must have the following form:
\\[domain|computer]\[share]\[folderpath]\[imagename]

For example '\\MyComputer\sharedfolder\backup\latest\mypc.img'.


Start Menu

Windows Start Menu
The command line version has its own Start Menu entry in order to simplify its use.

Under the HDClone entry, locate the subfolder CLI. It contains two sub-items:
  • HDClone CLI:Opens a privileged Windows Shell in the program folder, so you can start the command line version directly from there.
  • Script templates:Opens a folder with batch scripts templates in Windows Explorer. These may be customized according to your needs.
Important: Along with the script templates, there is the hdclone-cl.bat file - use it instead of invoking hdclone.exe cl, especially in complex scripts. This will ensure acquisition of the correct result values. Replace the invocation of hdclone-cl.exe from earlier versions with hdclone-cl.bat.


Controls

This chapter covers the controls, i.e. program screens or guidance pages, which are used within the Program functions. The available features may differ depending on the edition in use (see manual 1.4 Edition summary).

General operation

This chapter covers general controls and operating options, which are available across the different program functions.

Program screens

QV

Guidance pages

QV


General operation

This chapter covers general controls and operating options, which are available across the different program functions.

Screen layout

QV

Launcher

QV

System bar

QV

Program control

QV


Launcher

QV


Program control

QV

Mouse control

The most convenient way to operate the program is by mouse. Some elements show additional information in a small tooltip window when the mouse is hovered above (tooltip).

Keyboard control

Keyboard operation always refers to the currently focused graphical element. It is then highlighted by color, brightness, or an additional frame. With the Tab key, you can switch the focus in turn to the other graphical elements. The following control keys have a function when operating HDClone with a keyboard:

Key | Context | Function
Tab | (any) | Switch to the next element
Arrow keys ↑ ↓ ... | List field Main screen | Select list element Select program function
Space | Button Main screen Link | Press button Invoke highlighted program function Show link target
↵ (Return) | Button Link | Press button (in popup windows only) Show link target
Esc | Popup Control panel | Close popup (only with × in the title bar) Close program function
Ctrl + F4 | Control panel Main screen | Close program function Quit HDClone
Ctrl + F5 | (any) | Open system status
Ctrl + F6 | (any) | Open toolbox
Ctrl + F7 | (any) | Show license information
Print | (any) | Create and store a screenshot
Shift + Ins | Input field | Paste into input field from clipboard


Screen layout

QV

Title bar

The title bar on top of the screen (fig. 1 and fig. 2) is visible at any time during program execution.

Main screen

QV

Title bar | Tab bar
System bar | Selection panel
fig. 1: Layout of the main screen

Tab bar

You may access various functional areas via the tab bar. Every functional area offers multiple symbols, which are arranged in groups, to invoke the program functions. The program functions vary depending on the edition of the program. You can find a description for each individual functional area and program function in the program functions section.

Selection panel

QV

Program screen

This chapter covers the layout of the program screen.

Title bar |
 | Status panel
System bar | Control panel
fig. 2: Layout of the program screen

Status panel

Some program functions offer a status panel located above the control panel (fig. 2), which displays the current status of the program function.

Control panel

After starting a program function, the associated program screen will open (fig. 2, Program screens). The title of the currently opened guidance page will appear on the upper left hand side. The buttons Back and Next are located at the bottom of the operating field. If available, use these buttons to navigate to the next or to the previous guidance page.

System bar

﻿
HDClone 6 Inline Help © 2015 Miray Software


System bar

QV

The system bar, which is located on the bottom part of the screen, will remain visible throughout the entire program execution. It contains additional elements, which are described below.

fig. 1: The system bar as it appears in the self-booting program

fig. 2: The system bar as it appears in the program on Windows

Menu

Click on the menu symbol ( [image]) on the bottom left hand corner of the system bar (Fig. 1 or Fig. 2 respectively) or press Esc to close the current program function and to access the main screen.

Help

Click on the Help symbol ( [image]) on the bottom left hand corner of the system bar (Fig. 1 or Fig. 2 respectively) or press F1 to open Help.

License information

A click on the [image] symbol or press the F7 key to open a window which will display information about the program license.

System notifications

QV

System status

fig. 3: System status menu
Click on the [image] symbol or press the F5 key to open the system status menu (fig. 3). It will contain the following entries:
  • System information:Information about the Symobi system platform.
  • Task Manager:Opens the Windows Task Manager (on Windows) or the Symobi Task Manager (self-booting).

Toolbox

fig. 4: Toolbox menu
Click on the [image] symbol or select the F6 key to open the Toolbox menu (fig. 4). It will contain the following entries:
  • Homepage (only on Windows):Opens the program's product page in your web browser.
  • Manual:Opens the program manual.
  • Boot Setup (only on Windows):Starts the Boot Setup (see manual 5.2 Boot-Setup) used to create a self-booting medium (USB stick or CD/DVD).
  • Screenshot:Creates a screenshot.
  • System Log:Stores the System Log as a file (see chapter 8.1.2 System Log in the manual).

Quit and power off

The control to quit the program is located on the lower right hand corner of the screen (fig. 1 or fig. 2 respectively). Click on this icon to exit the program (on Windows, [image] symbol) or to power off the computer (self-booting, [image] symbol).


Miray Virtual Disk - Dead End

Miray Virtual Disk is an independent program which is included in certain editions of HDClone. Its corresponding Help can be found in the Windows Program Menu, or in the HDClone program package. There, you will find additional information on using Miray Virtual Disk.


Using Help

Explanation of characters

In this Help, keys on the keyboard are printed with an inverted background, for example Esc for the escape key or Return for the return key. Some keys are represented with a corresponding symbol, for example ⇑ for the ’up’-key. Visual controls on the screen, particularly buttons, are represented over- and underlined with a dark background, for example next , back .


New in HDClone 6

Aside from its newest technical features, HDClone 6 now also comes with changes in its controls. These changes are as follows:


Mode of operation

This chapter covers the mode of operation, the effects of the various program functions (for example SmartCopy), as well as additional options (for example PartitionSelect).

Disk formats

QV

Copy modes

HDClone offers several copy modes in order to transfer data directly from one disk to another.

Differences in sizes

In order to create a real BitCopy, the source and the target must be of the exact same size. HDClone is also capable of creating physical copies, should the size of source and target differ. Yet this will no longer result in an absolutely identical clone.

Verification

The Verifying option allows comparison of source and target following the copying process.

Automatic troubleshooting

HDClone tries to optimally troubleshoot sector errors automatically as they occur. If this is not possible, these errors will be counted in a corresponding error statistic.

Partial area copy

In a partial area copy, not the entire storage media (drive/partition) of source and/or target will be used, but only a partial area.

MultiCopy

With MultiCopy (mass copy), the contents of the source (disk or image) are copied on multiple targets at one time. This results in a time and performance advantage, due to the source data only having to be read once, and the data being written onto multiple targets at one time.

PartitionSelect

PartitionSelect provides a way to transfer only certain partitions, and to leave extraneous partitions out. Therefore, you can use PartitionSelect to reduce the storage size required for the target.

File images

In addition to creating direct clones, HDClone is also capable of storing images from media into a file. An image will contain the same data as a clone. When an image is restored to another media, the result will be the same as if copied directly from the original source.

Defragmentation

HDClone has the ability to perform a defragmentation for NTFS and FAT file systems while copying.

Final report

Once the process is completed, a detailed final report can be generated and stored as a text file for documentation and analysis of the cloning processes.


Partial area copy

In a partial area copy, not the entire storage media (drive/partition) of source and/or target will be used, but only a partial area.

Usage

The Options page an exact sector area for source and target can be specified. In order to specify a sector area, activate the checkbox Sector area, then enter the starting (from) and the ending (to) sector of the area. These sectors are interpreted as the first and the last sector of the area, and are included with the area.
Note: Counting starts at '0' (= 1st sector of the medium), which means that a 1 must be subtracted from all subsequent sector numbers (e.g. from = 0, to = 99 defines the first 100 sectors on the medium as an area).
Warning: Only use partial area copy if you have a complete understanding of its mode of function. An inaccurately defined sector area may lead to data loss or render the result unusable.

Mode of operation

A sector area is defined as a coherent area of sectors on a storage media, which, in the case of partitions, is relative to their starting positions. HDClone will then copy the first sector of the source to the first sector of the target area, etc. In comparison to a normal copy, the main difference is that the defined partial area is cloned, instead of the entire drive or partition.
Example: Sector area from = 0, to = 31. For a drive, these are the (absolute) first 32 sectors. The absolute position of the first 32 sectors of a partition is dependent on its (absolute) start on the drive.


Copy modes

HDClone offers several copy modes in order to transfer data directly from one disk to another.

FullCopy

FullCopy (physical copy) is a universal copy mode offered in all editions of HDClone. It creates an exact clone of all partitions of a disk, and optionally also the sectors in between. Partitions are cloned in their entirety, regardless of the actual utilization of their sectors. This allows cloning of arbitrary file systems.
Note: FullCopy is available in all editions of HDClone. In editions that also offer the SmartCopy mode, deactivate the SmartCopy option in order to use the FullCopy mode.

SmartCopy

With SmartCopy (logical copy), HDClone only takes those areas of storage media which are occupied by the operating system and other files. Any unused areas will not be copied. Since in most cases only a part of the total capacity of storage media is occupied, and depending on the amount of data stored, SmartCopy saves some of the time needed for a FullCopy. Therefore, SmartCopy is usually many times faster than FullCopy.
Important: Only activate SmartCopy with sound media and sound file systems. Instead, creating a FullCopy or BitCopy is strongly recommended. Check the disk integrity prior to cloning, as described in the manual under chapter 8.5.1 Clone not booting.

SmartCopy
To clone disks with SmartCopy (fig.), activate the SmartCopy option. SmartCopy mode can be applied to entire disks or other media as well as to single partitions. SmartCopy currently supports NTFS, FAT, ext2 and ext3 file systems. Partitions with other file systems will be copied in FullCopy mode, even if the SmartCopy option is activated.

Note: SmartCopy evaluates the file system and it depends on file system data being consistent and free of errors. Otherwise, the copy may contain errors as well. If you are unsure, you may check the source with chkdsk /f prior to cloning.
SmartCopy also creates an exact clone, yet in contrast to FullCopy, it only copies the used areas of the medium. For many cases of use, this mode is preferable since it delivers the same result in less time.
Hint: Since it is a clone, when in doubt you can always try SmartCopy mode first. If this reveals itself to be insufficient for your individual case of use, you may still create a FullCopy.
Warning: Never use SmartCopy mode for data rescue (see manual 2.2 Data rescue), copying defective or inconsistent file systems, or for forensic examination (see manual 2.7 Forensic examination). In these cases, create a FullCopy or BitCopy instead.

BitCopy

BitCopy (bit-exact physical copy) creates a complete or a partial clone (partial area copy) clone of a storage medium. This clone is bit-by-bit identical with the source, as each sector of the source is copied to the exact same sector on the target. This is the main difference between BitCopy and FullCopy.


Defragmentation

Defragmentation
HDClone has the ability to perform a defragmentation for NTFS and FAT file systems while copying. On the Options guidance page, select the Defragmentation (fig.) option.

Apart from the general advantages of a defragmentation, such as the acceleration of file access and the boot process, HDClone has the special advantage of performing the defragmentation process while only requiring a small amount of additional time. Downsizing or defragmentation may also be selected when restoring from file images, as long as it was created using either the option Store downsizing-info, or Store defrag-info.
Important: Only opt for defragmentation on healthy file systems, as in only on file systems that have been identified as being free of defects by programs such as chkdsk.exe (on Windows).
Note: When downsizing partitions, HDClone may also shift data blocks in order to reduce the size of the file system in as few steps as possible. For a real defragmentation, explicitly select the option Defragmentation, even when downsizing a file system.


Disk formats

QV

Physical disks

HDClone supports the use of physical disks.

Partition

Many disks are divided into partitions in order to maintain the organization of the data therein. HDClone distinguishes between the individual partitions of the disk and allows for single partitions to be copied or stored.

Dynamic disks

In comparison to basic disks, dynamic disks offer the option to mount more than 4 (primary) partitions with the use of logical partitions. These disks are also supported by HDClone.

RAID

RAID volumes are also supported by HDClone and can be transferred to other disks.


File images

In addition to creating direct clones, HDClone is also capable of storing images from media into a file. An image will contain the same data as a clone. When an image is restored to another media, the result will be the same as if copied directly from the original source.

Usage

When selecting an image, you can specify the type of image to be created. FullImages can be created from any supported disk type. To create SmartImages, the source disk must be formatted with FAT, NTFS, ext2/ext3. With HDClone/S you can use FAT32 or NTFS formatted disks for reading and writing image files. HDClone/W also supports network drives and network shares.

Types of images

QV

File image recovery

This function restores a disk from a data backup which has previously been created with Backup, or copies data from an image created with FullImage, SmartImage, or BitImage back to a disk.

Compressed Images

When creating a file image, the Options guidance page offers the possibility to create a compressed image. To have HDClone compress the file image, select the Compression option.

Password protection

When creating file images, you have the option to protect them with a password (option Password protection). HDClone will not restore a password protected file image unless the correct password is provided.

Encryption

If you select the Data Encryption option when creating a file image, the data in the image will be encrypted. For this purpose, HDClone utilizes a 128/256 bit AES encryption.

Images from CD/DVD/BD

HDClone cannot store file images directly to CD/DVD/BD, yet it has the ability to read file images in order to restore them from CD/DVD/BD.


Images from CD/DVD/BD

HDClone cannot store file images directly to CD/DVD/BD, yet it has the ability to read file images in order to restore them from CD/DVD/BD.

Insert the CD/DVD/BD into the drive either prior to starting up HDClone, or when the main screen opens. Select Recovery mode. When selecting the source image, the CD/DVD drive will appear in the list and from there you can choose a source image.

Note: When writing an HDClone image to CD/DVD/BD, the use of an ISO file system is required. In this case, please consult the manual of your disc writing software. The CD/DVD/BD media will have to contain the entire image. So called spanning of file images is not supported by HDClone, yet you may select a file block size that optimally matches the capacity of the target media (Set image size manually).


Compressed Images

Compression
When creating a file image, the Options guidance page offers the possibility to create a compressed image. To have HDClone compress the file image, select the Compression option.

Then you will be able to choose between normal compression (default), QuickCompress and StrongCompress (fig.). QuickCompress offers a lower compression ratio than the standard compression, yet it requires almost no additional time to run. In order to create backups quickly while saving some space, it is recommended you choose QuickCompress. To maximize the amount of space saved, choose StrongCompress, which requires more time to achieve maximum compression.

When it comes to compressed or uncompressed file images, there is (with the exception of file sizes) no difference in the operation of HDClone, and the files in which the images are stored, from the user’s point of view. The creation of compressed file images is thereby more time-consuming than the decompression process. Therefore, the transfer speed is faster when restoring compressed file images, compared to the creation of compressed file images.
Note: Compression activation usually leads to a decrease in copying speed, as compressing data takes up extra time. Yet in some cases, creating compressed file images may lead to a higher copying speed, especially when the media that contains the file image is relatively slow, for example slow USB sticks, mass storage media connected via USB 1.1/2.0, slow network drives, or when using QuickCompress.


Encryption

Encryption
If you select the Data Encryption option when creating a file image, the data in the image will be encrypted. For this purpose, HDClone utilizes a 128/256 bit AES encryption.

The image data can then not be read without the specified password, neither with HDClone or Miray Virtual Disk, nor with other software tools.
Warning: As HDClone uses a secure method of data encryption without a displacement password, should the password gets lost, the image data created with the encryption will definitely be irrecoverable.
Note: Encrypted file images can currently not be opened and mounted as virtual drives with Miray Virtual Disk.
Hint: Encryption will usually markedly increase the computing time for the creation and restoration of file images . Select Data Encryption only if it is required. Otherwise the password protection mechanism may also be sufficient and it will not increase the duration of the process.


Types of images

QV

FullImage

A FullImage (physical Image), similar to a FullCopy, stores all sectors of the disk or selected partitions, and optionally all sectors in between in a file image.
Note: FullImage is available in all editions. If FullImage is desired in those editions that also support other image types, explicitly select FullImage when creating an image.

SmartImage

A SmartImage (logical Image) stores, analog to a SmartCopy, only the areas of a media that are occupied with file system data. The creation of a SmartImage will usually require much less time and disk space than for a FullImage.
Important: The use of SmartImage is recommended with sound disks and file systems only. In any other case, create a FullImage or BitImage. Check file system integrity with chkdsk /f (as described in chapter 8.5.1 "Clone not booting" of the manual) prior to creating an image.

BitImage

A BitImage is also a physical image. It creates an image containing all sectors of a disk whether or not they are marked as occupied by the file system table or partition table, similar to BitCopy. Additionally, BitImages contain data in the same linear order as stored on a media. This results in faster and easier to process image files with third party programs, especially when mounting them in Miray Virtual Disk.

BitImages contain the same data as FullImages (including Copy free areas,). HDClone uses a special file format for FullImages, which optimally supports the features specific to HDClone (e.g. SafeRescue).

Note: BitImage creates an exact image of all data areas. Usually, this is only required for data rescue or for forensic images. The SmartImage function will also store all data, but will exclude disk areas that are marked as free or unused. It is therefore much faster, and in many cases creates smaller images.

VM-Images (VMDK, VHD/VHDX, VDI)

In addition to its native image formats, HDClone also has the ability to create dynamic VM-Images to be used in virtual machines. The following formats are offered: VMDK (VMware), VHD/VHDX (Virtual PC) and VDI (VirtualBox). They only contain actually used areas of the source, and therefore are typically much smaller than BitImages – similar to a SmartImage. Due to their technical characteristics, VM-Images are slightly larger than SmartImages. Moreover, their final size cannot be precisely calculated in advance. This may lead to a deviation from the originally predicted size during the creation.
Important: The use of VM-Image is recommended with sound disks and file systems only. In any other case, create a FullImage or BitImage. Check file system integrity with chkdsk /f (as described in chapter 8.5.1 "Clone not booting" of the manual) prior to creating an image.
Note: Compression and encryption are not available for VM-Images. In this case, select a SmartImage and the appropriate options instead.
VM-Images created with HDClone can be used as virtual drives in virtual machines. For further information, please refer to the manual of your version of VMware, VirtualPC, or VirtualBox. From Windows 7 and Windows Server 2008 on, you can also mount VHD/VHDX images as virtual drives using the Windows Disk Management tool (diskmgmt.msc).

Miray Virtual Disk can mount both formats under Windows as virtual drives. This allows you to access the files and folders stored in them without opening the image in a virtual machine.

Note: A virtual VM-Image drive mounted with Miray Virtual Disk can be read AND written, but changes are not stored directly in the image. To create a new image, including all changes made, you can use the virtual drive.

Backup

With HDClone, you can create disk backups easily and quickly. Basically, a file image is used for this, yet in contrast to other image functions, the function is streamlined. The most suitable options are automatically deployed. Each edition automatically deploys its available functions, such as data compression, which will result differences in file sizes of the backups, as well as the length of time required.

HDClone offers the option to expand a base image to a Differential Image . To establish a base image, use the program function Base image within the Backup functional area, or the program function Backup, within the Quickselect functional area.

Differential image

By use of a differential image, you can expand changes that have been made to a base image since its creation. The differential image can thereby only be created from the disk of the base image. It is always based on the status of the base image, even if another differential image has been created from this base image in the meantime.

In order to restore a differential image, select the base image first, then the status of the desired differential image.


Password protection

Password protection
When creating file images, you have the option to protect them with a password (option Password protection). HDClone will not restore a password protected file image unless the correct password is provided.

A correct password will also have to be entered in order to open or mount a password protected file image with Miray Virtual Disk.
Important: Password protection simply safeguards file images - HDClone and Miray Virtual Disk restrict access unless the correct password is entered. For secure protection of the file image data, select the Data Encryption option.


File image recovery

This function restores a disk from a data backup which has previously been created with Backup, or copies data from an image created with FullImage, SmartImage, or BitImage back to a disk.

It is also possible to adjust the sizes of the contained partitions, as they are supposed to be on the target media.

Note: Only FullImage, SmartImage and BitImage can be restored to a disk. A VM-Image can be mounted by Miray Virtual Disk, or a virtual machine.


MultiCopy

With MultiCopy (mass copy), the contents of the source (disk or image) are copied on multiple targets at one time. This results in a time and performance advantage, due to the source data only having to be read once, and the data being written onto multiple targets at one time.

Mode of function

When selecting a program function from the MultiCopy group, the target selection page will allow the selection of multiple targets from the list. The subsequent process will work as copying to a single disk would.
Note: When creating a MultiCopy, the result on a single media will be identical to the result of a single copy. Even the values for automatic re-sizing will be calculated individually for each target.

Speed

The use of MultiCopy yields a notably strong advantage in speed when compared to single copies. With optimal connected media, the speed increases in direct proportion with the number of target media. For example, a fourfold copy will yield about four times the data throughput of a single copy.
Note: Please note that the achievable speed depends on the hardware used (optimally SATA, USB3, IDE, or SAS/SCSI), as well as on the maximum speed of the individual disks.

Different media

MultiCopy can be used with any combination of drive types, yet performance variations of different media types may impact the total performance. The use of IDE drives, configured as master only, is recommended.


PartitionSelect

PartitionSelect guidance
PartitionSelect provides a way to transfer only certain partitions, and to leave extraneous partitions out. Therefore, you can use PartitionSelect to reduce the storage size required for the target.

Partitions on the source are displayed on a graph (fig.) and are numbered (with letters after the ninth partition). Below the partition number, there will be a check mark ( [image], default setting) if the partition is included; or a blocking-symbol ( [image]), if this partition will be excluded from the clone. Click on these symbols, to include or exclude any partition individually. Changes to the total size by selecting and de-selecting partitions will be displayed.


Final report

Once the process is completed, a detailed final report can be generated and stored as a text file for documentation and analysis of the cloning processes.

The report will contain the following information:

  • Program and license
  • Device data (CPU, memory, etc.)
  • Copy mode
  • Source and target(s) including device details
  • Option settings
  • Duration and result, incl. any errors


Differences in sizes

In order to create a real BitCopy, the source and the target must be of the exact same size. HDClone is also capable of creating physical copies, should the size of source and target differ. Yet this will no longer result in an absolutely identical clone.
Hint: The following sub chapters cover the use of BitCopy. With SmartCopy, the contents of the source can usually be automatically adjusted to the size of the target.

Equal size

If the sizes of the source and target are exactly the same and BitCopy mode is selected, HDClone will create an identical copy. On this clone, provided no errors occurred, all sectors on the target will be 100% identical to the source.

Small to large

If the source is smaller than the target, HDClone will clone only the data contained in the source. The source data will be copied from the beginning of the source onto the target medium. The area at the end of the target medium, which is larger than the source, will remain unaffected. Aside from the unaffected area possibly remaining unused during a later deployment, this type of copy is mostly comparable with a genuine clone due to all data from the source being entirely retained on the target (in comparison to Large to small).

Large to small

If the source is larger than the target, HDClone will copy only the data which will fit onto the target. This data is copied from the beginning of the source to the beginning of the target medium. All data which exceeds the size of the target will not be copied and will be absent on the target. Generally, this kind of copy is either unusable or is only usable in a very restrictive manner due to possibly vital data being missing. However, by ensuring (e.g. by defragmentation) that all valid or necessary data is retained in the front part of the source media, and that this area is not larger than the target media prior to copying, a copy onto a smaller target media can be done successfully. This also applies if you have copied a smaller source onto a larger target, and if you copy the (unchanged) data back onto the original media or onto a target of the corresponding size.


Automatic troubleshooting

HDClone tries to optimally troubleshoot sector errors automatically as they occur. If this is not possible, these errors will be counted in a corresponding error statistic.

Intensive reading/writing

In the event that reading errors occur, HDClone deploys various strategies in order to recover the effected sectors. The time used for this depends on the type and size of media used. For each sector, seconds to minutes may be required for the recovery attempts. Therefore, it is recommended to always activate the option SafeRescue, as handling of defective sectors will occur only after the copying of all intact areas has been completed. The process can then be canceled without losing the data of the intact areas should the process take up too much time.

Reading errors

Reading errors can only occur on the source media during the copying process. HDClone will then try to read the defective areas immediately following termination of the copying process (option SafeRescue) in a separate error recovery run. , During the error recovery process, the number of indicated reading errors can decrease in accordance with the recoverable areas on the source.
Note: Reading errors which occur during the verification process will be counted as verification errors. As cloning will already be complete at the time of verification, no further attempts at error recovery will take place.

Writing errors

Writing errors can only occur during the copying process, and only on the target media. HDClone will then try to read the defective areas immediately following termination of the copying process (with the option SafeRescue) using special data recovery strategies in a separate error recovery run. During the error recovery process, the number of the indicated writing errors can decrease in accordance with the recoverable areas on the target.

Verification errors

When the Verifying option is activated, HDClone will execute a verification run after the copying process. A verification error is counted in the event that data of two sectors on source and the target do not correspond. Furthermore, reading errors that occur during the verification run in one or both of the areas to be compared, are also counted as verification errors. The number of verification errors provides information on how exactly the source and the target correspond to one another after cloning.
Note: Verification will only be performed on sectors that have been previously copied. Verification will only consider these sectors because SmartCopy will only copy data from used sectors.


Verification

The Verifying option allows comparison of source and target following the copying process. The entire process, including copying and verification, requires about twice the time. Select this option according to your requirements and the time available.
Warning: When copying disks containing defects (data rescue), do not activate Verification. The additional exposure may exacerbate existing defects. In addition, a verification has virtually no significance when it comes to defective disks.


Guidance pages

QV

Image browser

This guidance page serves to browse folders for file images.

PartitionSelect

Use this guidance page to select partitions to be copied and partitions to be excluded from copying.

Adjusting partitions

If partition sizes can be altered, a guidance page will appear prior to the start of the copying process. It will allow you size adjustments of several or all partitions in order to fit them on the target as desired.

Security query

The security query will pop up prior to the start of a cloning process or before restoring from an image.

Adjust boot data

This guidance page will appear upon completion of the copying process. Usually the boot data copied 1:1 from the source will have to be adjusted in order to ensure that target booting occurs smoothly, and to avoid conflicts with the source.

Final report

QV


Adjust boot data

fig. 1: Adjusting boot data
This guidance page will appear upon completion of the copying process. Usually the boot data copied 1:1 from the source will have to be adjusted in order to ensure that target booting occurs smoothly, and to avoid conflicts with the source.

Automatic boot data adjustment

Select Automatic to have HDClone make the modifications automatically.
Hint: Use of the automatic boot data adjustment is highly recommended, except when different or no adjustment are specifically required.

No adjustment

fig. 2: Manual adjustment guidance page
Select No changes for absolute identical clones with no changes to the boot data (for example data rescue or forensic examination).

Important: With No changes , mostly only copies made to the same disk model will be bootable. Never boot windows when this type of copy is connected at the same time as the source.

Manual adjustment

In certain cases, changing only specific boot data may be necessary, or desired. Select Manual to access the guidance page to manual adjust the boot data (fig. 2). The parameters are automatically preset by HDClone. Some refer to the partition sector (MBR/GPT), others to the boot sectors. They are arranged accordingly in groups.
Parameter | Description
Geometry used | For bootable disks, the device geometry must match the geometry setting in BIOS.
Adopt partition ID | Adopt the same partition type as on the source media.
Adjust partition size | Set the space reserved for the target partition to the size needed for the partition copied.
Adjust CHS layout | Use the values set under Geometry used for adjusting the MBR or the boot sector(s).
Reset the disk signature | Reset the unique media signature.
Adjust offset | Adjust the real partition start address in boot sector(s).
Modify the boot code | Avoids boot problems on older hardware.
Change volume ID | Create a new ID for the partition. Required when source and target run in the same PC.

Once the parameters and options are set, click Adjust to modify the disk, or click No changes to leave the disk unchanged.

Note: In the case of a copy with several target media (Enterprise Edition only), the guidance page will only appear once. The selected adjustments will then apply to all target media.


Image browser

File image browser
This guidance page serves to browse folders for file images.

The list to the left side shows folders and file images. Folders are trailed by a <DIR> identifier, images are listed by their size value. Other files are not displayed. The box to the right contains information regarding the selected image.

Confirm the selection with OK or return with Cancel .


Adjusting partitions

fig. 1: 'Adjusting partitions' page
If partition sizes can be altered, a guidance page will appear prior to the start of the copying process. It will allow you size adjustments of several or all partitions in order to fit them on the target as desired.

Positions and sizes of the partitions on the target are graphically displayed in a bar. Each partition has a numeral ID or, from the tenth partition up, a letter assigned to it. If you click on a partition in the bar, the box to the lower left side will display additional information regarding the selected partition. Below each partition number, either a double arrow ( [image], default setting) will show to indicate that a partition size can be altered, or a lock-symbol ( [image]) will show, indicating that the partition size is fixed. Clicking on these symbols will enable you to toggle between both modes. This will allow the original sizes of certain partitions to be maintained while changing others or to have them adjusted automatically.

Example: System partition (C:) and data partitions (D: and E:) - to clone to a larger disk, only the latter should be expanded, not the system partition. First, click on the symbol below the system partition number to fix the system partition’s size – the lock symbol will appear. To proportionally distribute the available space to the data partitions, select Automatic adjustment.
FAT, NTFS, and ext2/ext3/ext4 can be expanded; FAT and NTFS can also be reduced in size. A partition can only be reduced to the minimum amount of space required by the data stored. Expanding or reducing partition sizes to an arbitrary size can be accomplished either automatically (proportional to the size of the target disk) or manually. The original size will be displayed in light green, the minimally achievable size in dark green. In addition, assigned space (expansion) will be displayed in striped light green. Partitions displayed in black cannot be altered. Free, unassigned space is displayed in white. There are three ways to handle free space on the target medium (Keep original sizes, Automatic adjustment, or Free adjustment). Select the desired option. With Free adjustment, make the desired changes, then click on Apply adjustments . With clones and partitions images, the Continue without adjustment button will also be visible. This will transfer the partitions of the source to the target without any changes. Clicking Cancel take you back to the copy data guidance page.
Note: Click Continue without adjustment in order to transfer the original partition layout to the target. Keep original sizes will maintain the original partition sizes, but will shift them to the beginning of the disk for better utilization of free space.

Maintain original sizes

fig. 2: Option 'Maintain original sizes'
The original sizes of partitions on the source will be maintained on the target (fig. 2). The partitions themselves, if possible, will be 'pushed together' to the beginning of the target. This will close gaps between partitions, providing additional space which will be available in one single block at the end of the media.

Automatic adjustment

fig. 3: Option 'Automatic adjustment'
Free space on the target will be evenly distributed to the individual partitions, proportional to their respective size (fig. 3). All partitions will be expanded proportionally. HDClone automatically handles calculation of the size proportions.

Manual user adjustments

fig. 4: Option 'Manual user adjustments'
You may determine the adjustments for the distribution of additional space on the target to the individual partitions on your own (fig. 4). You may change the size of a certain partition by clicking and dragging the corresponding area on the graphical representation.


PartitionSelect

'Select partitions' page
Use this guidance page to select partitions to be copied and partitions to be excluded from copying.

Should the selected partitions exceed the capacity of the target, the bar will turn red. In this case, deselect partitions until the remaining partitions fit onto the target. Alternately, you may click Cancel , then select a different combination of source and target to create the copy with.

All partitions are initially selected by default. Deselect the partitions to be excluded from copying by clicking on the check symbol ( [image]) below the partition number. A lock symbol ( [image]) will appear and the partition will not be copied. Clicking on the lock symbol will unlock the partition and the check symbol will reappear. Once all partitions have been selected as desired, click on Continue .

Should you want to copy all partitions and skip the adjustment step, use Skip adjustment . All partitions will be copied in their original size and original location as they were on the source (PartitionSelect).


Security query

Security query guidance page
The security query will pop up prior to the start of a cloning process or before restoring from an image. Click Start copying to start the copying process or Cancel to return without starting the copying process.

Warning: Any data in the target area will be irretrievably deleted when the copying process is started. Even data recovery software will be unable retrieve the overwritten data.


Final report

QV

fig. 1: Final report

Upon termination, a final report (fig. 1) will appear, which will contain a summary of the copying process as well as additional information:
Information field | Description
Source | Source drive/partition of the copying process.
Target | Target drive/partition of the copying process.
Copied sectors | Total number of copied sectors.
Reading errors | Total number of reading errors (w/o verification).
Writing errors | Total number of writing errors.
Verification errors | Total number of errors that occurred during the verification.
Runtime | Time elapsed for the entire process.

By clicking Close , you will be directed back to the main screen. The Details button will open another guidance page, which will display more details on each drive.

fig. 2: Store the report
Use Store report to create a detailed cloning report and to store it as a text file. Select the drive on which you want the report to be stored (fig. 2). Select Create to store the report onto the selected drive in the file hdclone.<x>.txt (<x> = consecutive number), which is located in the root directory (for example X:\hdclone.1.txt). The report will be stored in PDF format. Otherwise, deselect the PDF option to store the report as TXT.


Program screens

QV

Selecting a disk

QV

Selecting a partition

QV

Selecting an image

QV

Options

QV

Copying data

QV

SpeedTest

Use this function to check the reading speed of the connected drives. You can select individual disks or several disks at once. In case of individual disks, this function will determine their maximum speed. In case of several disks at once, it will determine the combined reading speed of the selected disks.

DiskView

This program function displays the sector data of the selected disk. It allows to view all sectors of a disk directly.

Partition Editor

QV

S.M.A.R.T. Info

QV


Copying data

QV

fig. 1: 'Copy data' guidance page
The Copy data guidance page (fig. 1) appears at the begin of the data transfer. Some program functions will show a security query before starting. In this case, check the status panel to ensure that program function, source, target and options are set. If needed, go back with Back in the lower left corner to adjust the settings. Click Start to begin the copying process.

Status indication

On the left and right side of the control panel, you see the status indicators. They contain information on the current status of the copying process.
Status | Description
Sectors processed | Absolute number of sectors already copied.
Read errors | Number of read errors encountered. May decrease if errors can be fixed.
Write errors | Number of write errors encountered. May decrease if errors can be fixed.
Verification errors | This indicator is only used if the Verifying option is on.
Running time | Time passed since the start of the copying process.
Time remaining | Estimated time remaining for the entire copying process.
Data rate | Average data rate attained up to this point.
Buffer size | Size of the internally used buffer.

Percentage indication

The percentage indicator (fig. 1) is located below the copy animation, showing the progress of the current run in percent.

Progress bar

The progress bar (fig. 1) below the percentage indicator visualizes the progress of the current run. Which run is currently being processed is shown on the left above the progress bar.

Copying sequence

The entire process consists of up to three runs:
  1. Copying run:The actual data transfer. Depending on the program function and settings, this run starts with a file system analysis.
  2. Error recovery run:In case of errors occurring during copying, the affected areas will be copied again (SafeRescue option).
  3. Verification run:The optional verification is conducted in a separate run.

Cancellation

fig. 2: Cancel copying process?
You can use Stop to interrupt the process (fig. 2). You may then continue the process or ultimately cancel it. You will then obtain a final report.

Note: Unlike a canceled copying run, a canceled verification run has no influence on the copied data. The copy itself is already finished completely after the copying run.

Regular termination

After up to three runs, the copying process is terminated normally. A final report for the complete copying process is shown in a pop-up window.


Selecting a disk

QV

Selecting a drive
Recognized disks are displayed in a list (fig.). The list is will update automatically if disks or other mass storage media are connected or disconnected.

Each disk has a correlating number (left), which is unique and is assigned only once within a program function.

Click on the desired list entry to select a disk. Some program functions allow the selection of several entries. Click on an already selected entry to deselect it. The info-box next to the selection list shows further information regarding the selected disk.

Hint: Activate Show logical drives to display the associated Windows drive letters for each disk in the list. These make it easier to identify the different disks, yet they are not selectable themselves.
Select the desired disk or disks and click Next to proceed.


Selecting an image

QV

fig. 1: List of storage locations
When selecting an image, first specify the storage location on the list to the left (fig. 1). On Windows, network drives and network shares are also displayed, provided the option Show network shares is active.

fig. 2: Create image
Afterwards, enter an image name and, optionally, a folder path in the input field to the right (fig. 2). In HDClone/W, you may use copy-and-paste ( Shift + Ins ). Alternatively, click Browse... to open the image browser to navigate the folder structures. If no folder path is provided, the /HDClone Images folder path will be used by default.

fig. 3: Restore image
To restore an image, there is a small image browser in the box to the right of the list (fig. 3). Therein, you will find information for the selected image. When creating an image, the image type selection will be located there (fig. 2).

Hint: If a network share cannot be found, or you want to use a hidden share, enter its full path in the input field Name in the box to the right (fig. 2) and press ↵ (Return). If the share is valid, it will appear on the list to the left. The share will then exist and will be available during the duration of the program, as well as in other program functions.
Select the desired file image, then click Next to proceed.


Options

QV

On this screen, you can set the options for the selected program function. Locked options cannot be altered, yet the visible setting will be valid.

Selection of options (example)

General options

Available general settings can be found in the General column.
Option | Description
Verify | data comparison between source and target, once copying is completed. Not recommended for data rescue due to causing additional strain. Not available for use with HotCopy and LiveImage.
FastCopy | Special copy algorithm. May double the regular copy speed.
SafeRescue | Special algorithm for data recovery. Attempts recovery of large areas first. Can also remain active for normal copies.
Copy free areas | FullCopy/SmartCopy only: On a partly partitioned source, HDClone works faster if free areas are not included. In case of special media (for example dynamic disks, RAID) it may be required to include free areas though.
HotCopy/LiveImage | HDClone/W only: This option allows for clones or file images of the system drive or of disks, which are currently also in use by other programs.
Avoid exclusive reading access | HDClone/W only: On Windows, HDClone will at first usually attempt reservation of the source drive for exclusive access. If this option is selected, HDClone will first attempt to use HotCopy mode or LiveImage mode first.
Copy swap files | Creating images only: Usually, it is not necessary to store the files pagefile.sys and hiberfil.sys in the file image. For cloning, this option is always activated.

Cloning options

These options are only available when cloning disks directly.
Option | Description
SmartCopy | Create a SmartCopy.
Defragmentation | NTFS+FAT only: Reorganize the file system while cloning.

Backup options

These options will only be displayed when creating images or backups.
Option | Description
Store size reduction info | Stores information needed to reduce NTFS and FAT partitions when restoring, otherwise partitions can only be restored to their original size or larger.
Store defrag info | Stores information needed to defragment NTFS and FAT partitions when restoring, partitions can otherwise not be defragmented during restoration.
Compression | Creates a file image with the selected compression (Normal/ Quick/Strong).
Password protection | Use a password in order protect your file image and when choosing to use file image encryption.
Maximum extent size | Restrict the size of extents in the image to a defined maximum. For compatibility with different file systems, the default setting is 2,047 MB. To burn an image to a CD, DVD or BD later, you may specify a different value (CD: 700 MB | DVD: 4.700 MB | BD: 25.000 MB).
Set image size manually | RAW image only: Set a virtual target size when creating an image. Allows size reduction of RAW images.

Restore options

These options are only available when restoring images.
Option | Description
Defragmentation | NTFS+FAT only: Reorganizes the file system during restoration.

Options for source and target

These settings refer to the drives selected as source and target.
Option | Description
Sector area | Definable copying area on a sector basis (partial area copy).
4k alignment | Target only: Aligns the copied partitions to 4 KB borders on the target medium automatically.
Driver adjustment | Target only: Activate inactive AHCI and IDE drivers.
Trim | Target only: Deallocation of unused data blocks. Revives full writing speed for SSDs during and after cloning.
MediaDirect (Dell) | Target only: Recognize MediaDirect software.
Error threshold | Target only (MultiCopy): Count of sector errors from the time a disk is excluded from the copying process. The remaining disks can then be copied at maximum speed. For example, a sensible value would be 32,000.


Selecting a partition

QV

Selecting a partition
Recognized partitions are displayed in a list (fig.), together with the disks on which they are located. This list will update automatically when additional disks are connected or disconnected.

Each disk has a correlating number (left), which is unique and is assigned only once within a program function.

Click on the desired list entry to select a partition. The info-box next to the selection list shows further information regarding the selected partition and the associated disk.

Hint: Activate Show all partitions to also display partitions in the list to which a Windows drive letter has not been assigned, for example if they contain no valid file system.
Select the desired partition(s) and click Next to proceed.


Index of figures

General components

fig. 1: System status menu

fig. 2: Toolbox menu

HDClone

fig. 3: Windows Start Menu

fig. 4: HDClone Main screen

fig. 5: HDClone Selecting a drive

Program screens

fig. 6: Selecting a drive

fig. 7: Selecting a partition

fig. 8: Selection of options (example)

fig. 9: 'Copy data' guidance page

fig. 10: Restore image

fig. 11: List of storage locations

fig. 12: Create image

fig. 13: SmartCopy

fig. 14: Compression

fig. 15: Defragmentation

fig. 16: Password protection & Encryption

fig. 17: Option 'Keep original sizes'

fig. 18: Option 'Automatic adjustment'

fig. 19: Option 'Free adjustment'

Guidance pages

fig. 20: File image browser

fig. 21: 'Select partitions' page

fig. 22: 'Adjusting partitions' page

fig. 23: Security query guidance page

fig. 24: Cancel copying process?

fig. 25: Adjusting boot data

fig. 26: Adjustment popup

fig. 27: Final report

fig. 28: Store the report

﻿

Tools

fig. 1: SpeedTest

fig. 2: SpeedTest result

fig. 3: DiskView

fig. 4: DiskView sector data

fig. 5: Program screen

fig. 6: Selecting a drive

fig. 7: QV

fig. 8: S.M.A.R.T. Info


Tools

This function domain contains various supplemental functions, which are not assigned to a certain use case.

SpeedTest

Use this function to check the reading speed of the connected drives. You can select individual disks or several disks at once. In case of individual disks, this function will determine their maximum speed. In case of several disks at once, it will determine the combined reading speed of the selected disks.

DiskView

This program function displays the sector data of the selected disk. It allows to view all sectors of a disk directly.

Partition Editor

QV

S.M.A.R.T. Info

QV


DiskView

fig. 1: DiskView
This program function displays the sector data of the selected disk. It allows to view all sectors of a disk directly.

DiskView sector data

fig. 2: DiskView sector data
This popup (fig. 2) displays the sectors data of the selected disk. Clicking Go will display the sector with the number specified in the input field (Sector). The bar below allows to quickly navigate through all sectors of the disk. Close the popup with X in the title bar or with the Esc key.


Partition Editor

fig. 1: Program screen
QV

Selecting a drive

fig. 2: Selecting a drive
QV

QV

QV

QV

QV

QV

Note: QV

QV

fig. 3: QV
QV

QV

QV

﻿
HDClone 6 Inline Help © 2015 Miray Software


S.M.A.R.T. Info

S.M.A.R.T. Info
QV

QV

QV

QV


SpeedTest

fig. 1: SpeedTest
Use this function to check the reading speed of the connected drives. You can select individual disks or several disks at once. In case of individual disks, this function will determine their maximum speed. In case of several disks at once, it will determine the combined reading speed of the selected disks.

SpeedTest result

fig. 2: SpeedTest result
After the speed of the selected disk or disks has been determined, the results are presented in a popup window (fig. 2).